%define module	gtkspellcheck
%define oname	py%{module}

Name:		python-%{module}
Summary:	Python GTK Spellchecker
Version:	4.0.1
Release:	%mkrel 3
License:	GPLv3+
Group:		Development/Python
Url:		http://koehlma.github.com/projects/pygtkspellcheck.html
Source0:	https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-enchant
BuildRequires:	python-sphinx
Requires:	python-enchant
Requires:	python-gi
Suggests:	iso-codes

%description
A simple but quite powerful spell checking library written in pure Python
for Gtk based on Enchant.

%package -n python3-%{module}
Summary:	Python3 GTK Spellchecker
Group:		Development/Python
BuildRequires:	python3-enchant
BuildRequires:	python3-sphinx
Requires:	python3-enchant
Requires:	python3-gobject3
Suggests:	iso-codes

%description -n python3-%{module}
A simple but quite powerful spell checking library written in pure Python
for Gtk based on Enchant.

%prep
%setup -q -n %{oname}-%{version}

#for python3 build
rm -rf %{py3dir}
cp -a . %{py3dir}

#fix shebangs
find %{py3dir} -name "*.py" -exec sed -i -e 's,^\(#!%{_bindir}/\)env python,\1python3,' {} \;

%build
python setup.py build

pushd %{py3dir}
	python3 setup.py build
popd

%install
python setup.py install \
	--skip-build \
	--root=%{buildroot}

pushd %{py3dir}
	python3 setup.py install \
	        --skip-build \
        	--root=%{buildroot}
popd

%find_lang py2gtkspellcheck
%find_lang py3gtkspellcheck

%files -f py2gtkspellcheck.lang
%doc README.md
%{python_sitelib}/%{module}/
%{python_sitelib}/pylocales/
%{python_sitelib}/%{oname}-%{version}-py%{pyver}.egg-info

%files -n python3-%{module} -f py3gtkspellcheck.lang
%doc README.md
%{python3_sitelib}/%{module}/
%{python3_sitelib}/pylocales/
%{python3_sitelib}/%{oname}-%{version}-py%{py3ver}.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 4.0.1-3.mga4
+ Revision: 543583
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.0.1-2.mga4
+ Revision: 498706
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jul 06 2013 wally <wally> 4.0.1-1.mga4
+ Revision: 450746
- imported package python-gtkspellcheck

